package org.greenstone.gsdl3.gs3build.doctypes;

public class DocumentFactory
{
  public static AbstractDocument createDocument(String type, DocumentID id)
  {
    if (type.equals(HTMLDocument.HTML_DOCUMENT_TYPE))
    { return new HTMLDocument(id);
    }
    else if (type.equals(TextDocument.TEXT_DOCUMENT_TYPE))
    { return new TextDocument(id);
    }
    return null;
  }
}
